org.apache.storm.validation

## Class ConfigValidation.Validator

- java.lang.Object
- - org.apache.storm.validation.ConfigValidation.Validator

- Direct Known Subclasses:
    Configs.ReaderTypeValidator, ConfigValidation.BooleanValidator, ConfigValidation.ClusterMetricRegistryValidator, ConfigValidation.CustomIsExactlyOneOfValidators, ConfigValidation.DerivedTypeValidator, ConfigValidation.DoubleValidator, ConfigValidation.EventLoggerRegistryValidator, ConfigValidation.ImpersonationAclUserEntryValidator, ConfigValidation.ImplementsClassValidator, ConfigValidation.IntegerValidator, ConfigValidation.KryoRegValidator, ConfigValidation.ListEntryCustomValidator, ConfigValidation.ListEntryTypeValidator, ConfigValidation.ListOfListOfStringValidator, ConfigValidation.MapEntryCustomValidator, ConfigValidation.MapEntryTypeValidator, ConfigValidation.MapOfStringToMapOfStringToObjectValidator, ConfigValidation.MetricRegistryValidator, ConfigValidation.MetricReportersValidator, ConfigValidation.NoDuplicateInListValidator, ConfigValidation.NotNullValidator, ConfigValidation.NumberValidator, ConfigValidation.PacemakerAuthTypeValidator, ConfigValidation.PositiveNumberValidator, ConfigValidation.PowerOf2Validator, ConfigValidation.RasConstraintsTypeValidator, ConfigValidation.SimpleTypeValidator, ConfigValidation.StringOrStringListValidator, ConfigValidation.StringValidator, ConfigValidation.UserResourcePoolEntryValidator, DaemonConfigValidation.NumaEntryValidator
  Enclosing class:
    ConfigValidation

      public abstract static class ConfigValidation.Validator
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Validator()`
    `Validator(Map<String,Object> params)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `validateField(String name, Object o)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Validator

          public Validator(Map<String,Object> params)

    - #### Validator

          public Validator()

  - ### Method Detail

    - #### validateField

          public abstract void validateField(String name,
                                             Object o)

Copyright © 2021 The Apache Software Foundation. All rights reserved.